#include <bits/stdc++.h>
#include <vector>

using namespace std;

int main(){
    long long n, m;
    cin>>n>>m;
    long long ot[m+20], co=0, temp=0;
    vector <long long> c(m);
    for(long long i=0;i<m;i++){
        cin>>c[i];
    }
    sort(c.begin(), c.end());
    long long coi=0;
    while(!c.empty()){
        long long k=c[0];
        for(int i=0;i<c.size();i++){
            if(k==c[i]){
                c.erase(c.begin());
                coi++;
            }
            else{
                if(n<=coi){
                    co++;
                    ot[temp]=k;
                    temp++;
                    coi=0;
                    break;
                }
            }
        }
    }
    cout<<co<<endl;
    for(int i=0;i<temp;i++){
        cout<<ot[i]<<' ';
    }
}